import { Component, OnInit } from '@angular/core';
import {CommonService} from '../common.service';

@Component({
  selector: 'app-social-security',
  templateUrl: './social-security.component.html',
  styleUrls: ['./social-security.component.css']
})
export class SocialSecurityComponent implements OnInit {
  curPageData:Array<any>;
  hasMate:boolean;
  constructor(private commonService: CommonService) { }

  ngOnInit() {
    this.surveyInfo()
    this.hasMate = true;
  }
  surveyInfo() {
    this.commonService.surveyInfo().then(res => {
      if (res['success']) {
        this.curPageData = res['data']['survey'].pages['8']
        console.log(this.curPageData)
      }
    })
  }
}
